Index: calculatorview/perspectives/calculator/sld_panel.py
===================================================================
--- calculatorview/perspectives/calculator/sld_panel.py	(revision 855546d1f69a4813e75d4b3c8063c51b24aa63b1)
+++ calculatorview/perspectives/calculator/sld_panel.py	(revision b0ab6cb339551bb39f126bcd9d13b2a9dd73ddbe)
@@ -1,5 +1,5 @@
 """
-    This module provide GUI for the neutron scattering length density calculator
-    @author: Gervaise B. Alina
+This module provide GUI for the neutron scattering length density calculator
+
 """
 
@@ -8,13 +8,15 @@
 import sys
 
-from sans.guiframe.utils import format_number, check_float
+from sans.guiframe.utils import format_number
+from sans.guiframe.utils import check_float
 from sans.guicomm.events import StatusEvent  
 
 # the calculator default value for wavelength is 6
-import periodictable
+#import periodictable
 from periodictable import formula
-from periodictable.xsf import xray_energy, xray_sld_from_atoms
-from periodictable.constants import avogadro_number
-from  periodictable.nsf import neutron_scattering
+from periodictable.xsf import xray_energy
+from periodictable.xsf import xray_sld_from_atoms
+#rom periodictable.constants import avogadro_number
+from periodictable.nsf import neutron_scattering
        
 WAVELENGTH = 6.0
@@ -24,5 +26,5 @@
 
 #SLD panel size 
-if sys.platform.count("win32")>0:
+if sys.platform.count("win32") > 0:
     _STATICBOX_WIDTH = 350
     PANEL_SIZE = 400
@@ -35,5 +37,5 @@
 class SldPanel(wx.Panel):
     """
-        Provides the SLD calculator GUI.
+    Provides the SLD calculator GUI.
     """
     ## Internal nickname for the window, used by the AUI manager
@@ -43,6 +45,9 @@
     ## Flag to tell the AUI manager to put this panel in the center pane
     CENTER_PANE = True
-    def __init__(self, parent, base=None, id=-1):
-        wx.Panel.__init__(self, parent, id = id)
+    
+    def __init__(self, parent, base=None):
+        """
+        """
+        wx.Panel.__init__(self, parent)
         #Font size 
         self.SetWindowVariant(variant=FONT_VARIANT)
@@ -50,4 +55,17 @@
         self.base = base
         self.wavelength = WAVELENGTH
+        #layout attribute
+        self.compound_ctl = None
+        self.density_ctl = None
+        self.wavelength_ctl = None
+        self.neutron_sld_reel_ctl = None
+        self.neutron_sld_im_ctl = None
+        self.mo_ka_sld_reel_ctl = None
+        self.mo_ka_sld_im_ctl = None
+        self.cu_ka_sld_reel_ctl = None
+        self.cu_ka_sld_im_ctl = None
+        self.neutron_abs_ctl = None
+        self.neutron_inc_ctl = None
+        self.neutron_length_ctl = None
         #Draw the panel
         self._do_layout()
@@ -57,13 +75,13 @@
     def _do_layout(self):
         """
-            Draw window content
+        Draw window content
         """
         unit_a = '[A]'
         unit_density = '[g/cm^(3)]'
         unit_sld = '[1/A^(2)]'
-        unit_cm1 ='[1/cm]'
-        unit_cm ='[cm]'
-        sizer_input = wx.GridBagSizer(5,5)
-        sizer_output = wx.GridBagSizer(5,5)
+        unit_cm1 = '[1/cm]'
+        unit_cm = '[cm]'
+        sizer_input = wx.GridBagSizer(5, 5)
+        sizer_output = wx.GridBagSizer(5, 5)
         sizer_button = wx.BoxSizer(wx.HORIZONTAL)
         sizer1 = wx.BoxSizer(wx.HORIZONTAL)
@@ -73,55 +91,57 @@
         inputbox = wx.StaticBox(self, -1, "Input")
         boxsizer1 = wx.StaticBoxSizer(inputbox, wx.VERTICAL)
-        boxsizer1.SetMinSize((_STATICBOX_WIDTH,-1))
+        boxsizer1.SetMinSize((_STATICBOX_WIDTH, -1))
         
         compound_txt = wx.StaticText(self, -1, 'Compound ')
-        self.compound_ctl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,-1))
+        self.compound_ctl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, -1))
         density_txt = wx.StaticText(self, -1, 'Density ')
-        self.density_ctl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,-1))
+        self.density_ctl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, -1))
         unit_density_txt = wx.StaticText(self, -1, unit_density)
         wavelength_txt = wx.StaticText(self, -1, 'Wavelength ')
-        self.wavelength_ctl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,-1))
+        self.wavelength_ctl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, -1))
         self.wavelength_ctl.SetValue(str(self.wavelength))
         unit_a_txt = wx.StaticText(self, -1, unit_a)
         iy = 0
         ix = 0
-        sizer_input.Add(compound_txt,(iy, ix),(1,1),\
-                             wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+        sizer_input.Add(compound_txt, (iy, ix), (1, 1),
+                             wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+        ix += 1
+        sizer_input.Add(self.compound_ctl, (iy, ix), (1, 1),
+                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
+        iy += 1
+        ix = 0
+        sizer_input.Add(density_txt, (iy, ix), (1, 1),
+                             wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+        ix += 1
+        sizer_input.Add(self.density_ctl, (iy, ix), (1, 1),
+                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
         ix +=1
-        sizer_input.Add(self.compound_ctl,(iy, ix),(1,1),\
-                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
-        iy += 1
-        ix = 0
-        sizer_input.Add(density_txt,(iy, ix),(1,1),\
-                             wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
-        ix += 1
-        sizer_input.Add(self.density_ctl, (iy, ix), (1,1),\
-                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
-        ix +=1
-        sizer_input.Add(unit_density_txt,(iy, ix),(1,1),\
-                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
-        iy += 1
-        ix = 0
-        sizer_input.Add(wavelength_txt, (iy, ix),(1,1),\
-                             wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
-        ix += 1
-        sizer_input.Add(self.wavelength_ctl,(iy, ix),(1,1),\
-                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
-        ix += 1
-        sizer_input.Add(unit_a_txt,(iy, ix),(1,1),\
-                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
-        boxsizer1.Add( sizer_input )
-        sizer1.Add(boxsizer1,0, wx.EXPAND | wx.ALL, 10)
+        sizer_input.Add(unit_density_txt,(iy, ix), (1, 1),
+                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
+        iy += 1
+        ix = 0
+        sizer_input.Add(wavelength_txt, (iy, ix), (1, 1),
+                             wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+        ix += 1
+        sizer_input.Add(self.wavelength_ctl, (iy, ix), (1, 1),
+                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
+        ix += 1
+        sizer_input.Add(unit_a_txt, (iy, ix), (1, 1),
+                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
+        boxsizer1.Add(sizer_input)
+        sizer1.Add(boxsizer1, 0, wx.EXPAND | wx.ALL, 10)
         #---------Outputs sizer--------
         outputbox = wx.StaticBox(self, -1, "Output")
         boxsizer2 = wx.StaticBoxSizer(outputbox, wx.VERTICAL)
-        boxsizer2.SetMinSize((_STATICBOX_WIDTH,-1))
+        boxsizer2.SetMinSize((_STATICBOX_WIDTH, -1))
         
         i_complex = '- i'
         neutron_sld_txt = wx.StaticText(self, -1, 'Neutron SLD')
-        self.neutron_sld_reel_ctl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,-1))
+        self.neutron_sld_reel_ctl = wx.TextCtrl(self, -1,
+                                                 size=(_BOX_WIDTH, -1))
         self.neutron_sld_reel_ctl.SetEditable(False)
         self.neutron_sld_reel_ctl.SetToolTipString("Neutron SLD real.")
-        self.neutron_sld_im_ctl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,-1))
+        self.neutron_sld_im_ctl = wx.TextCtrl(self, -1, 
+                                              size=(_BOX_WIDTH, -1))
         self.neutron_sld_im_ctl.SetEditable(False)
         self.neutron_sld_im_ctl.SetToolTipString("Neutron SLD imaginary.")
@@ -129,8 +149,10 @@
         
         cu_ka_sld_txt = wx.StaticText(self, -1, 'Cu Ka SLD')
-        self.cu_ka_sld_reel_ctl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,-1))
+        self.cu_ka_sld_reel_ctl = wx.TextCtrl(self, -1,
+                                               size=(_BOX_WIDTH, -1))
         self.cu_ka_sld_reel_ctl.SetEditable(False)
         self.cu_ka_sld_reel_ctl.SetToolTipString("Cu Ka SLD real.")
-        self.cu_ka_sld_im_ctl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,-1))
+        self.cu_ka_sld_im_ctl = wx.TextCtrl(self, -1, 
+                                            size=(_BOX_WIDTH, -1))
         self.cu_ka_sld_im_ctl.SetEditable(False)
         self.cu_ka_sld_im_ctl.SetToolTipString("Cu Ka SLD imaginary.")
@@ -138,8 +160,10 @@
         
         mo_ka_sld_txt = wx.StaticText(self, -1, 'Mo Ka SLD')
-        self.mo_ka_sld_reel_ctl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,-1))
+        self.mo_ka_sld_reel_ctl = wx.TextCtrl(self, -1,
+                                               size=(_BOX_WIDTH, -1))
         self.mo_ka_sld_reel_ctl.SetEditable(False)
         self.mo_ka_sld_reel_ctl.SetToolTipString("Mo Ka SLD real.")
-        self.mo_ka_sld_im_ctl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,-1))
+        self.mo_ka_sld_im_ctl = wx.TextCtrl(self, -1,
+                                             size=(_BOX_WIDTH, -1))
         self.mo_ka_sld_im_ctl.SetEditable(False)
         self.mo_ka_sld_im_ctl.SetToolTipString("Mo Ka SLD imaginary.")
@@ -147,5 +171,6 @@
         
         neutron_inc_txt = wx.StaticText(self, -1, 'Neutron Inc. Xs')
-        self.neutron_inc_ctl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,-1))
+        self.neutron_inc_ctl = wx.TextCtrl(self, -1,
+                                            size=(_BOX_WIDTH, -1))
         self.neutron_inc_ctl.SetEditable(False)
         self.neutron_inc_ctl.SetToolTipString("Neutron Inc. Xs")
@@ -153,5 +178,6 @@
        
         neutron_abs_txt = wx.StaticText(self, -1, 'Neutron Abs. Xs')     
-        self.neutron_abs_ctl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,-1))
+        self.neutron_abs_ctl = wx.TextCtrl(self, -1, 
+                                           size=(_BOX_WIDTH, -1))
         self.neutron_abs_ctl.SetEditable(False)
         self.neutron_abs_ctl.SetToolTipString("Neutron Abs. Xs")
@@ -159,5 +185,6 @@
       
         neutron_length_txt = wx.StaticText(self, -1, 'Neutron 1/e length')
-        self.neutron_length_ctl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,-1))
+        self.neutron_length_ctl = wx.TextCtrl(self, -1,
+                                               size=(_BOX_WIDTH, -1))
         self.neutron_length_ctl.SetEditable(False)
         self.neutron_length_ctl.SetToolTipString("Neutron 1/e length")
@@ -166,82 +193,82 @@
         iy = 0
         ix = 0
-        sizer_output.Add(neutron_sld_txt,(iy, ix),(1,1),
-                             wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
-        ix += 1
-        sizer_output.Add(self.neutron_sld_reel_ctl,(iy, ix),(1,1),
-                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
-        ix += 1
-        sizer_output.Add(wx.StaticText(self, -1, i_complex)
-                         ,(iy, ix),(1,1),wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
-        ix +=1
-        sizer_output.Add(self.neutron_sld_im_ctl
-                         ,(iy, ix),(1,1),wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
-        ix +=1
-        sizer_output.Add(neutron_sld_units_txt
-                         ,(iy, ix),(1,1),wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
-        iy += 1
-        ix = 0
-        sizer_output.Add(cu_ka_sld_txt,(iy, ix),(1,1),
-                             wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
-        ix +=1
-        sizer_output.Add(self.cu_ka_sld_reel_ctl,(iy, ix),(1,1),
-                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
-        ix +=1
-        sizer_output.Add(wx.StaticText(self, -1, i_complex)
-                         ,(iy, ix),(1,1),wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-        ix += 1
-        sizer_output.Add(self.cu_ka_sld_im_ctl
-                         ,(iy, ix),(1,1),wx.EXPAND|wx.ADJUST_MINSIZE, 0)  
-        ix += 1
-        sizer_output.Add(cu_ka_sld_units_txt
-                         ,(iy, ix),(1,1),wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
-        iy += 1
-        ix = 0
-        sizer_output.Add(mo_ka_sld_txt,(iy, ix),(1,1),
-                             wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
-        ix +=1
-        sizer_output.Add(self.mo_ka_sld_reel_ctl,(iy, ix),(1,1),
-                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
-        ix +=1
-        sizer_output.Add(wx.StaticText(self, -1, i_complex)
-                         ,(iy, ix),(1,1),wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-        ix += 1
-        sizer_output.Add(self.mo_ka_sld_im_ctl
-                         ,(iy, ix),(1,1),wx.EXPAND|wx.ADJUST_MINSIZE, 0)  
-        ix +=1
-        sizer_output.Add(mo_ka_sld_units_txt
-                         ,(iy, ix),(1,1),wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-        iy += 1
-        ix = 0
-        sizer_output.Add(neutron_inc_txt,(iy, ix),(1,1),
-                             wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
-        ix += 1
-        sizer_output.Add(self.neutron_inc_ctl,(iy, ix),(1,1),
+        sizer_output.Add(neutron_sld_txt, (iy, ix), (1, 1),
+                             wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+        ix += 1
+        sizer_output.Add(self.neutron_sld_reel_ctl, (iy, ix), (1, 1),
+                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
+        ix += 1
+        sizer_output.Add(wx.StaticText(self, -1, i_complex),
+                         (iy, ix), (1, 1), wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
+        ix += 1
+        sizer_output.Add(self.neutron_sld_im_ctl,
+                         (iy, ix), (1, 1), wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
+        ix += 1
+        sizer_output.Add(neutron_sld_units_txt,
+                         (iy, ix), (1, 1), wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
+        iy += 1
+        ix = 0
+        sizer_output.Add(cu_ka_sld_txt, (iy, ix), (1, 1),
+                             wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+        ix += 1
+        sizer_output.Add(self.cu_ka_sld_reel_ctl, (iy, ix), (1, 1),
+                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
+        ix += 1
+        sizer_output.Add(wx.StaticText(self, -1, i_complex),
+                         (iy, ix), (1, 1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+        ix += 1
+        sizer_output.Add(self.cu_ka_sld_im_ctl,
+                         (iy, ix), (1, 1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)  
+        ix += 1
+        sizer_output.Add(cu_ka_sld_units_txt,
+                         (iy, ix), (1, 1), wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
+        iy += 1
+        ix = 0
+        sizer_output.Add(mo_ka_sld_txt,(iy, ix), (1, 1),
+                             wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+        ix += 1
+        sizer_output.Add(self.mo_ka_sld_reel_ctl,(iy, ix), (1, 1),
+                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
+        ix += 1
+        sizer_output.Add(wx.StaticText(self, -1, i_complex),
+                         (iy, ix), (1, 1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+        ix += 1
+        sizer_output.Add(self.mo_ka_sld_im_ctl,
+                         (iy, ix), (1, 1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)  
+        ix += 1
+        sizer_output.Add(mo_ka_sld_units_txt,
+                         (iy, ix), (1, 1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+        iy += 1
+        ix = 0
+        sizer_output.Add(neutron_inc_txt, (iy, ix), (1, 1),
+                             wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+        ix += 1
+        sizer_output.Add(self.neutron_inc_ctl, (iy, ix), (1, 1),
                             wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
         ix += 2
-        sizer_output.Add(neutron_inc_units_txt,(iy, ix),(1,1),
-                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
-        iy += 1
-        ix = 0
-        sizer_output.Add(neutron_abs_txt, (iy, ix), (1,1),
-                             wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
-        ix += 1
-        sizer_output.Add(self.neutron_abs_ctl, (iy, ix), (1,1),
-                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
-        ix +=2
-        sizer_output.Add(neutron_abs_units_txt, (iy, ix), (1,1),
-                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
-        iy += 1
-        ix = 0
-        sizer_output.Add(neutron_length_txt, (iy, ix), (1,1),
-                             wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
-        ix +=1
-        sizer_output.Add(self.neutron_length_ctl, (iy, ix), (1,1),
+        sizer_output.Add(neutron_inc_units_txt,(iy, ix), (1, 1),
+                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
+        iy += 1
+        ix = 0
+        sizer_output.Add(neutron_abs_txt, (iy, ix), (1, 1),
+                             wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+        ix += 1
+        sizer_output.Add(self.neutron_abs_ctl, (iy, ix), (1, 1),
+                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
+        ix += 2
+        sizer_output.Add(neutron_abs_units_txt, (iy, ix), (1, 1),
+                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
+        iy += 1
+        ix = 0
+        sizer_output.Add(neutron_length_txt, (iy, ix), (1, 1),
+                             wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+        ix += 1
+        sizer_output.Add(self.neutron_length_ctl, (iy, ix), (1, 1),
                             wx.EXPAND|wx.ADJUST_MINSIZE, 0)
         ix += 2
-        sizer_output.Add(neutron_length_units_txt, (iy, ix), (1,1),
+        sizer_output.Add(neutron_length_units_txt, (iy, ix), (1, 1),
                             wx.EXPAND|wx.ADJUST_MINSIZE, 0)  
-        boxsizer2.Add( sizer_output )
-        sizer2.Add(boxsizer2,0, wx.EXPAND|wx.ALL, 10)
+        boxsizer2.Add(sizer_output)
+        sizer2.Add(boxsizer2, 0, wx.EXPAND|wx.ALL, 10)
         #-----Button  sizer------------
     
@@ -249,8 +276,8 @@
         button_calculate = wx.Button(self, id, "Calculate")
         button_calculate.SetToolTipString("Calculate SLD.")
-        self.Bind(wx.EVT_BUTTON, self.calculateSld, id = id)   
+        self.Bind(wx.EVT_BUTTON, self.calculateSld, id=id)   
         
         sizer_button.Add((250, 20), 1, wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-        sizer_button.Add(button_calculate, 0, wx.RIGHT|wx.ADJUST_MINSIZE,20)
+        sizer_button.Add(button_calculate, 0, wx.RIGHT|wx.ADJUST_MINSIZE, 20)
         sizer3.Add(sizer_button)
         #---------layout----------------
@@ -297,5 +324,5 @@
             else:
                 flag = False
-                raise ValueError,"Error for wavelength value :expect float"
+                raise ValueError, "Error for wavelength value :expect float"
                 
         self.compound = self.compound_ctl.GetValue().lstrip().rstrip()
@@ -335,8 +362,9 @@
                 #get ready to compute
                 try:
-                    self.sld_formula = formula(self.compound, density=self.density)
+                    self.sld_formula = formula(self.compound,
+                                                density=self.density)
                 except:
                     if self.base is not None:
-                        msg = "SLD Calculator: %s" %(sys.exc_value)
+                        msg = "SLD Calculator: %s"  % (sys.exc_value)
                         wx.PostEvent(self.base, StatusEvent(status=msg))
                     else:
@@ -345,5 +373,5 @@
                 
                 
-                (sld_real, sld_im, sld_inc), (coh,absorp,incoh), \
+                (sld_real, sld_im, _), (_, absorp, incoh), \
                             length = neutron_scattering(self.compound,
                                        self.density, self.wavelength) 
@@ -355,12 +383,16 @@
                                          molecule_formula=self.sld_formula)
                 # set neutron sld values
-                self.neutron_sld_reel_ctl.SetValue(format_number(sld_real * _SCALE))
-                self.neutron_sld_im_ctl.SetValue(format_number(math.fabs(sld_im) * _SCALE))
+                val = format_number(sld_real * _SCALE)
+                self.neutron_sld_reel_ctl.SetValue(val)
+                val = format_number(math.fabs(sld_im) * _SCALE)
+                self.neutron_sld_im_ctl.SetValue(val)
                 # Compute the Cu SLD
                 self.cu_ka_sld_reel_ctl.SetValue(format_number(cu_real *_SCALE))
-                self.cu_ka_sld_im_ctl.SetValue(format_number(math.fabs(cu_im )* _SCALE))
+                val = format_number(math.fabs(cu_im )* _SCALE)
+                self.cu_ka_sld_im_ctl.SetValue(val)
                 # Compute the Mo SLD
                 self.mo_ka_sld_reel_ctl.SetValue(format_number(mo_real *_SCALE))
-                self.mo_ka_sld_im_ctl.SetValue(format_number(math.fabs(mo_im)* _SCALE))
+                val = format_number(math.fabs(mo_im)* _SCALE)
+                self.mo_ka_sld_im_ctl.SetValue(val)
                 # set incoherence and absorption
                 self.neutron_inc_ctl.SetValue(format_number(incoh))
@@ -372,15 +404,22 @@
         except:
             if self.base is not None:
-                  msg = "SLD Calculator: %s"%(sys.exc_value)
-                  wx.PostEvent(self.base, StatusEvent(status=msg))
+                msg = "SLD Calculator: %s"%(sys.exc_value)
+                wx.PostEvent(self.base, StatusEvent(status=msg))
             else:
                 raise
             return   
-
+        if event is not None:
+            event.Skip()
    
 class SldWindow(wx.Frame):
-    def __init__(self, parent=None, id=1, title="SLD Calculator",base=None):
-        wx.Frame.__init__(self, parent, id, title, size=( PANEL_SIZE,  PANEL_SIZE))
-        
+    """
+    """
+    def __init__(self, parent=None, title="SLD Calculator", base=None):
+        """
+        """
+        wx.Frame.__init__(self, parent, title,
+                           size=(PANEL_SIZE, PANEL_SIZE))
+        """
+        """
         self.panel = SldPanel(self, base=base)
         self.Centre()
@@ -388,9 +427,12 @@
         
 class ViewApp(wx.App):
+    """
+    """
     def OnInit(self):
+        """
+        """
         frame = SldWindow(None, -1, 'SLD Calculator')    
         frame.Show(True)
         self.SetTopWindow(frame)
-        
         return True
         
Index: calculatorview/perspectives/calculator/slit_length_calculator_panel.py
===================================================================
--- calculatorview/perspectives/calculator/slit_length_calculator_panel.py	(revision 74b1770c459412a087638d5bfaae3d22dc9df204)
+++ calculatorview/perspectives/calculator/slit_length_calculator_panel.py	(revision b0ab6cb339551bb39f126bcd9d13b2a9dd73ddbe)
@@ -13,8 +13,9 @@
 import os
 
-from DataLoader.readers.ascii_reader import Reader
+#from DataLoader.readers.ascii_reader import Reader
 from sans.guicomm.events import StatusEvent  
 from sans.calculator.slit_length_calculator import SlitlengthCalculator  
-from calculator_widgets import OutputTextCtrl, InterActiveOutputTextCtrl
+from calculator_widgets import OutputTextCtrl
+from calculator_widgets import InterActiveOutputTextCtrl
 
 _BOX_WIDTH = 76
@@ -40,6 +41,6 @@
     CENTER_PANE = True
     
-    def __init__(self, parent, id=-1, *args, **kwds):
-        wx.Panel.__init__(self, parent, id=id, *args, **kwds)
+    def __init__(self, parent, *args, **kwds):
+        wx.Panel.__init__(self, parent, *args, **kwds)
         #Font size 
         self.SetWindowVariant(variant=FONT_VARIANT)
@@ -70,5 +71,6 @@
         """
         data_name_txt = wx.StaticText(self, -1, 'Data: ')
-        self.data_name_tcl = OutputTextCtrl(self, -1, size=(_BOX_WIDTH*4,-1))
+        self.data_name_tcl = OutputTextCtrl(self, -1, 
+                                            size=(_BOX_WIDTH*4, -1))
         data_hint = "Loaded data"
         self.data_name_tcl.SetToolTipString(data_hint)
@@ -87,9 +89,11 @@
         """
         slit_size_txt = wx.StaticText(self, -1, 'Slit Size (FWHM/2): ')
-        self.slit_size_tcl = InterActiveOutputTextCtrl(self, -1, size=(_BOX_WIDTH,-1))
+        self.slit_size_tcl = InterActiveOutputTextCtrl(self, -1,
+                                                       size=(_BOX_WIDTH, -1))
         slit_size_hint = " Estimated full slit size"
         self.slit_size_tcl.SetToolTipString(slit_size_hint)
         slit_size_unit_txt = wx.StaticText(self, -1, 'Unit: ')
-        self.slit_size_unit_tcl = OutputTextCtrl(self, -1, size=(_BOX_WIDTH,-1)) 
+        self.slit_size_unit_tcl = OutputTextCtrl(self, -1, 
+                                                 size=(_BOX_WIDTH, -1)) 
         slit_size_unit_hint = "Full slit size's unit"
         self.slit_size_unit_tcl.SetToolTipString(slit_size_unit_hint)
@@ -97,5 +101,5 @@
                                       (self.slit_size_tcl, 0, wx.LEFT, 10),
                                       (slit_size_unit_txt, 0, wx.LEFT, 10),
-                                      (self.slit_size_unit_tcl, 0, wx.LEFT, 10)])
+                                    (self.slit_size_unit_tcl, 0, wx.LEFT, 10)])
     
     def _layout_hint(self):
@@ -145,5 +149,6 @@
         wildcard = "SAXSess Data 1D (*.DAT, *.dat)|*.DAT" 
         
-        dlg = wx.FileDialog(self, "Choose a file", location,"", wildcard, wx.OPEN)
+        dlg = wx.FileDialog(self, "Choose a file", location,
+                            "", wildcard, wx.OPEN)
         if dlg.ShowModal() == wx.ID_OK:
             path = dlg.GetPath()
@@ -177,5 +182,6 @@
                 self.reader.stop()
             if self.parent.parent is not None:
-                wx.PostEvent(self.parent.parent, StatusEvent(status="Loading...",
+                wx.PostEvent(self.parent.parent, 
+                                StatusEvent(status="Loading...",
                                 type="progress"))
             self.reader = DataReader(path=path,
@@ -186,6 +192,7 @@
             if self.parent.parent is None:
                 return 
-            msg = "Slit Length Calculator: %s"%(sys.exc_value)
-            wx.PostEvent(self.parent.parent, StatusEvent(status=msg, type='stop'))
+            msg = "Slit Length Calculator: %s" % (sys.exc_value)
+            wx.PostEvent(self.parent.parent,
+                          StatusEvent(status=msg, type='stop'))
             return 
             
@@ -198,5 +205,6 @@
                 return 
             msg = "Slit Length cannot be computed for 2D Data"
-            wx.PostEvent(self.parent.parent, StatusEvent(status=msg, type='stop'))
+            wx.PostEvent(self.parent.parent, 
+                         StatusEvent(status=msg, type='stop'))
             return 
         self.data_name_tcl.SetValue(str(data.filename))
@@ -206,6 +214,6 @@
             y = data.y
             if x == [] or  x is None or y == [] or y is None:
-                 msg = "The current data is empty please check x and y"
-                 raise ValueError, msg
+                msg = "The current data is empty please check x and y"
+                raise ValueError, msg
             slit_length_calculator = SlitlengthCalculator()
             slit_length_calculator.set_data(x=x, y=y)
@@ -214,6 +222,7 @@
             if self.parent.parent is None:
                 return 
-            msg = "Slit Size Calculator: %s"%(sys.exc_value)
-            wx.PostEvent(self.parent.parent, StatusEvent(status=msg, type='stop'))
+            msg = "Slit Size Calculator: %s" % (sys.exc_value)
+            wx.PostEvent(self.parent.parent,
+                          StatusEvent(status=msg, type='stop'))
             return 
         self.slit_size_tcl.SetValue(str(slit_length))
@@ -225,7 +234,13 @@
         wx.PostEvent(self.parent.parent, StatusEvent(status=msg, type='stop'))
     
+    
 class SlitLengthCalculatorWindow(wx.Frame):
-    def __init__(self, parent=None, id=1, title="Slit Size Calculator"):
-        wx.Frame.__init__(self, parent, id, title, size=(PANEL_WIDTH,PANEL_HEIGHT))
+    """
+    """
+    def __init__(self, parent=None, title="Slit Size Calculator"):
+        """
+        """
+        wx.Frame.__init__(self, parent, title,
+                           size=(PANEL_WIDTH,PANEL_HEIGHT))
         self.parent = parent
         self.panel = SlitLengthCalculatorPanel(parent=self)
